using Mapster;
using Nirvana.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using YBDevice.Entity.DataModel.ThirdOpen;

namespace YBDevice.NApi.Application.ThirdClient
{
    public class ThirdOpenMapper : IRegister
    {
        public void Register(TypeAdapterConfig config)
        {
            config.ForType<T_Result, ResultListS2CDto>()
              .Map(dest => dest.CreateTime, src => src.CreateTime.ToYearDateTime())
              ;
        }
    }
}
